Bug 188309 - Deadlock during closing a project
Deadlock during closing a project
Status: RESOLVED FIXED
Product: php
Classification: Unclassified
Component: Editor
6.x
PC Linux
: P2 (vote)
: 7.0
Assigned To: rmatous
issues@php
: THREAD
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-02 10:03 UTC by Tomas Mysik
Modified: 2010-07-20 03:15 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
thread dump (26.34 KB, text/plain)
2010-07-02 10:03 UTC, Tomas Mysik
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Mysik 2010-07-02 10:03:54 UTC
Created attachment 100566 [details]
thread dump

Deadlock during closing a project with several (PHP) files opened in the editor.

Product Version: NetBeans IDE Dev (Build 100702-a44c03e9ad9b)
Java: 1.6.0_20; Java HotSpot(TM) 64-Bit Server VM 16.3-b01
System: Linux version 2.6.32-23-generic running on amd64; UTF-8; cs_CZ (nb)
Comment 1 David Strupl 2010-07-08 14:54:14 UTC
I have honestly tried to figure out what's wrong. But the only thing that seems strange is that

        at org.netbeans.modules.php.project.util.PhpProjectUtils.getPhpProject(PhpProjectUtils.java:105)
        at org.netbeans.modules.php.project.api.PhpLanguageOptions.getProperties(PhpLanguageOptions.java:146)
        at org.netbeans.modules.php.editor.lexer.GSFPHPLexer.<init>(GSFPHPLexer.java:72)
        at org.netbeans.modules.php.editor.lexer.GSFPHPLexer.create(GSFPHPLexer.java:81)

while creating a lexer for PHP it needs a project. Is it really necessary (for creating a lexer) to know its project properties?
Comment 2 Tomas Mysik 2010-07-08 15:22:21 UTC
(In reply to comment #1)
> Is it really necessary (for creating a lexer) to know its project properties?

Radek will likely know more, please evaluate. Thanks.
Comment 4 Quality Engineering 2010-07-20 03:15:24 UTC
Integrated into 'main-golden', will be available in build *201007200001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/b734a5e4af64
User: Radek Matous <rmatous@netbeans.org>
Log: #188309 - Deadlock during closing a project


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo